.\" 
.\" 
.TH "f2html.pl" "1" "0.2" "Nikolei Steinhage" "Console/Text Utilities "
.SH "NAME"
f2html.pl

.SH "SYNTAX"
perl f2html.pl [\fIoptions\fP]
.SH "DESCRIPTION"
f2html.pl is a command line utility that generates HTML files by searching recursively through directories. The output can be controlled, links can be corrected, and more. The script is desigend to create Web pages, playlists, and databases for MP3\-files.
.SH "OPTIONS"
.TP 
\-h, \-\-help                  Show this screen and exit
.TP 
\-o, \-\-os       <\fIwin,unix\fP>   Default "unix", otherwise windows
.TP 
\-b, \-\-dbfile   <file>       Write database to a file for searching it        
.TP 
\-m, \-\-m3u      <file>       Write a m3u file
.TP 
\-t, \-\-html     <file>       Write a html file
.TP 
\-a, \-\-http     <name>       Define the http address for url
.TP 
\-r, \-\-remove                Remove id3tags
.TP 
\-i, \-\-mp3info               Use mp3info for html output
.TP 
\-e, \-\-ext                   Remove file extensions in html output 
.TP 
\-f, \-\-filesize              Use filesize for html output
.TP 
\-c, \-\-check    <ext>        Select files by their extension(s) (e.g. mp3)
.TP 
\-z, \-\-skip     <number>     Skip  n elements of directories/names
.TP 
\-p, \-\-conf     <file>       Use a config file
.TP 
\-w, \-\-hexfile  <file>       File with hexcode for replacements in links
.TP 
\-q, \-\-nocs                  Do sorting not case sensitive.TP 
.TP     
\-j, \-\-statfile <file&gt        Write statistics to file
.TP 
\-d, \-\-dir      <directory>  Define the (multiple) directory(ies) mp3s are stored in
.TP 
\-y, \-\-replace <file>       Name of replacement file; in the file use string_1 string_2 to transform string_1 into string_2; special characters like a backslash have to be preceeded by a backslash "\"
.TP 
\-s, \-\-seperate <path>       Write seperate html files for every character (this option is a little bit buggy)
.TP 
in the config file it is possible to use the comman
.TP 
x=, exec=      <param>      Execute system command. 
.SH "FILES"
\fIf2html.pl\fP \- The script itself
.br 
f2html.man \- The manual page
.br 
\fIREADME\fP \- An ASCII file containing the manual and addtitional information 
.br 
COPYING \- The GNU Public Licence
.br 
.br 
and some example files:
.br 
1.conf \- A config file
.br 
hex.dat \- A file with hex code for link substitution
.br 
repl.dat \- A file for pattern substitution
.br 

.SH "ENVIRONMENT VARIABLES"
none
.SH "EXAMPLES"
To run this program the standard way type:
.LP 
perl f2html.pl [\fIoptions\fP]
.LP 
You can find some examples in the file \fIREADME\fP.
.SH "AUTHORS"
Nikolei Steinhage <nikolei.steinhage@uni\-bielefeld.de>

.SH "SEE ALSO"
perl(1)
